Bug 164896 - gnome-python2-extras-2.10.0-2.1 fails to rebuild on a rawhide system
gnome-python2-extras-2.10.0-2.1 fails to rebuild on a rawhide system
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-python2-extras (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 09:02 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gnome-python2-extras-2.14.2-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 17:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-08-02 09:02:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
gnome-python2-extras-2.10.0-2.1 is the latest released package. It cannot be rebuilt on a current Rawhide system:
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/python2.4 -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/libnautilus-burn -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include/pygtk-2.0 -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -Wall -fno-strict-aliasing -MT nautilusburn_la-nautilus_burn.lo -MD -MP -MF .deps/nautilusburn_la-nautilus_burn.Tpo -c nautilus_burn.c  -fPIC -DPIC -o .libs/nautilusburn_la-nautilus_burn.o
nautilus_burn.override: In function '_wrap_nautilus_burn_recorder_write_tracks':
nautilus_burn.override:99: error: too few arguments to function 'nautilus_burn_recorder_write_tracks'
nautilus_burn.override: In function '_wrap_nautilus_burn_recorder_blank_disc':
nautilus_burn.override:140: error: too few arguments to function 'nautilus_burn_recorder_blank_disc'



gnome-python2-extras-2.11.2-1 from CVS doesn't build on a Rawhide system either:
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I/usr/include/python2.4 -DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtkspell-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/freetype2 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2/config -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pygtk-2.0 -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -Wall -fno-strict-aliasing -MT gtkspellmodule.lo -MD -MP -MF .deps/gtkspellmodule.Tpo -c gtkspellmodule.c  -fPIC -DPIC -o .libs/gtkspellmodule.o
gtkspellmodule.c:121: error: non-static declaration of 'gtkspell_SpellType' follows static declaration
gtkspellmodule.c:11: error: previous declaration of 'gtkspell_SpellType' was here
make[3]: *** [gtkspellmodule.lo] Error 1




Version-Release number of selected component (if applicable):
gnome-python2-extras-2.10.0-2.1

How reproducible:
Always

Steps to Reproduce:
1. try to rebuild either gnome-python2-extras-2.10.0-2.1 or gnome-python2-extras-2.11.2-1
2.
3.
  

Actual Results:  package doesn't build

Expected Results:  package build should succeed. 

Additional info:

This should be fixed before the next massrebuild
Comment 1 Matthew Barnes 2006-09-22 17:49:25 EDT
This one must have fallen between the cracks.

I just rebuilt the package for Rawhide and it succeeded, so I'm closing this.

gnome-python2-extras-2.14.2-2.fc6

Note You need to log in before you can comment on or make changes to this bug.